<template>
    <div class="map-target">
        <!-- <div
      id="map-container"
      :style='{"width":"600px","height":"600px","transform":"scale(1,1)","transform-origin":"0 0"}'
    ></div> -->
        <div class="map-tip-container">
            <div
                class="map-container"
                :element-loading-background="loadingColor"
                v-loading="loading"
            >
                <div :id="CQId"></div>
                <div :id="main9Id">
                    <div
                        :class="['ljxq', `grade-${ljxqGrade}`]"
                        @click="goToSub('ljxq')"
                    >
                        <i class="dot"></i>
                    </div>
                    <div
                        :class="['gxq', `grade-${gxqGrade}`]"
                        @click="goToSub('gxq')"
                    >
                        <i class="dot"></i>
                    </div>
                </div>
            </div>
            <div class="map-tip">
                <div class="tip-item">
                    <div class="level-title">A档</div>
                    <div class="tip-text">第1—9位</div>
                </div>
                <div class="tip-item">
                    <div class="level-title">B档</div>
                    <div class="tip-text">第10—17位</div>
                </div>
                <div class="tip-item">
                    <div class="level-title">C档</div>
                    <div class="tip-text">第18—25位</div>
                </div>
                <div class="tip-item">
                    <div class="level-title">D档</div>
                    <div class="tip-text">第26—33位</div>
                </div>
                <div class="tip-item">
                    <div class="level-title">E档</div>
                    <div class="tip-text">第34—41位</div>
                </div>
                <!-- 五档：A档（第1—9位）、B档（第10—17位）、C档（第18—25位）、D档（第26—33位）、E档（第34—41位），分别对应绿、蓝、黄、橙、红“五色图”。 -->
            </div>
        </div>

        <div class="list-container">
            <air-table @loadComplete="loadComplete" :data="tableData" :tableColumn="tableColumn"></air-table>
        </div>

        <!-- <div class="level-container" ref="container" :element-loading-background="loadingColor" v-loading="loading">
      
      <div class="level-title level-title-A">A</div>
      <div class="level-header" v-if="levelDataA.length">
        <span v-for="item in levelTitle" :key="item">{{ item }}</span>
      </div>
      <div class="level-header" v-else>
        <span>暂无数据</span>
      </div>
      <div @click="isClick && handleDetail('reformPilot', item.unitName, 1)" class="level-content-item"
        v-for="(item) in levelDataA" :key="item.unitName">
        <span>{{ item.unitName }}</span>
        <span>{{ item.nationalProjectNum }}</span>
      </div>
      <div class="level-title level-title-B">B</div>
      <div class="level-header" v-if="levelDataB.length">
        <span v-for="item in levelTitle" :key="item">{{ item }}</span>
      </div>
      <div class="level-header" v-else>
        <span>暂无数据</span>
      </div>
      <div @click="isClick && handleDetail('reformPilot', item.unitName, 1)" class="level-content-item"
        v-for="(item) in levelDataB" :key="item.unitName">
        <span>{{ item.unitName }}</span>
        <span>{{ item.nationalProjectNum }}</span>
      </div>
      <div class="level-title level-title-C">C</div>
      <div class="level-header" v-if="levelDataC.length">
        <span v-for="item in levelTitle" :key="item">{{ item }}</span>
      </div>
      <div class="level-header" v-else>
        <span>暂无数据</span>
      </div>
      <div @click="isClick && handleDetail('reformPilot', item.unitName, 1)" class="level-content-item"
        v-for="(item) in levelDataC" :key="item.unitName">
        <span>{{ item.unitName }}</span>
        <span>{{ item.nationalProjectNum }}</span>
      </div>
      <div class="level-title level-title-D">D</div>
      <div class="level-header" v-if="levelDataD.length">
        <span v-for="item in levelTitle" :key="item">{{ item }}</span>
      </div>
      <div class="level-header" v-else>
        <span>暂无数据</span>
      </div>
      <div @click="isClick && handleDetail('reformPilot', item.unitName, 1)" class="level-content-item"
        v-for="(item) in levelDataD" :key="item.unitName">
        <span>{{ item.unitName }}</span>
        <span>{{ item.nationalProjectNum }}</span>
      </div>
      <div class="level-title level-title-E">E</div>
      <div class="level-header" v-if="levelDataE.length">
        <span v-for="item in levelTitle" :key="item">{{ item }}</span>
      </div>
      <div class="level-header" v-else>
        <span>暂无数据</span>
      </div>
      <div @click="isClick && handleDetail('reformPilot', item.unitName, 1)" class="level-content-item"
        v-for="(item) in levelDataE" :key="item.unitName">
        <span>{{ item.unitName }}</span>
        <span>{{ item.nationalProjectNum }}</span>
      </div>
    </div> -->
    </div>
</template>

<script>
import * as echarts from 'echarts'
import cq from '@/assets/js/cq.js'
import main9 from '@/assets/js/main9.js'
import fakeData from '@/views/BigScreen/js/fakeData_district.js'
import apiList from '@/api/bigScreen/districView.js'
import airTable from './airTable.vue'
// import {
//   initLayer,
//   mapClickEvent,
//   getFiveColor,
//   getAreaCode,
//   setLayerVisible,
//   setLayerOpacity,
//   zoomInit
// } from 'dlzx-five-color-ags-v2'
// import {loadModules} from 'esri-loader'
const emphasisColor = {
    A: '#2ce5c4',
    B: '#4CA9FF',
    C: '#F9F953',
    D: '#EFB569',
    E: '#E42020',
    N: '#aaf15e',
}
export default {
    components: {
        airTable,
    },
    props: {
        options: {
            type: Object,
            default: () => {
                return {}
            },
        },
        CQId: {
            type: String,
            default: 'cq-contianer_1',
        },
        main9Id: {
            type: String,
            default: 'main9-contianer_1',
        },
        isClick: {
            type: Boolean,
            default: true,
        },
    },
    data() {
        return {
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            loading: false,
            myChartCQ: null,
            optionCQ: null,
            myChartMain: null,
            optionMain: null,
            levelTitle: ['区县', '项目数\n(个)'],
            levelDataA: [],
            levelDataB: [],
            levelDataC: [],
            levelDataD: [],
            levelDataE: [],
            areaCode: [
                {
                    code: 500120,
                    name: '璧山区',
                },
                {
                    code: 500155,
                    name: '梁平区',
                },
                {
                    code: 500241,
                    name: '秀山县',
                },
                {
                    code: 500231,
                    name: '垫江县',
                },
                {
                    code: 500109,
                    name: '北碚区',
                },
                {
                    code: 500229,
                    name: '城口县',
                },
                {
                    code: 500230,
                    name: '丰都县',
                },
                {
                    code: 500113,
                    name: '巴南区',
                },
                {
                    code: 500152,
                    name: '潼南区',
                },
                {
                    code: 500235,
                    name: '云阳县',
                },
                {
                    code: 500233,
                    name: '忠县',
                },
                {
                    code: 500238,
                    name: '巫溪县',
                },
                {
                    code: 500108,
                    name: '南岸区',
                },
                {
                    code: 500107,
                    name: '九龙坡区',
                },
                {
                    code: 500112,
                    name: '渝北区',
                },
                {
                    code: 500116,
                    name: '江津区',
                },
                {
                    code: 500119,
                    name: '南川区',
                },
                {
                    code: 500154,
                    name: '开州区',
                },
                {
                    code: 500118,
                    name: '永川区',
                },
                {
                    code: 500110,
                    name: '綦江区',
                },
                {
                    code: 500243,
                    name: '彭水县',
                },
                {
                    code: 500106,
                    name: '沙坪坝区',
                },
                {
                    code: 500153,
                    name: '荣昌区',
                },
                {
                    code: 500156,
                    name: '武隆区',
                },
                {
                    code: 500236,
                    name: '奉节县',
                },
                {
                    code: 500102,
                    name: '涪陵区',
                },
                {
                    code: 500240,
                    name: '石柱县',
                },
                {
                    code: 500117,
                    name: '合川区',
                },
                {
                    code: 500115,
                    name: '长寿区',
                },
                {
                    code: 500103,
                    name: '渝中区',
                },
                {
                    code: 500111,
                    name: '大足区',
                },
                {
                    code: 500237,
                    name: '巫山县',
                },
                {
                    code: 500101,
                    name: '万州区',
                },
                {
                    code: 500114,
                    name: '黔江区',
                },
                {
                    code: 500104,
                    name: '大渡口区',
                },
                {
                    code: 500105,
                    name: '江北区',
                },
                {
                    code: 500242,
                    name: '酉阳县',
                },
                {
                    code: 500151,
                    name: '铜梁区',
                },
                {
                    code: 500200,
                    name: '两江新区',
                },
                {
                    code: 500300,
                    name: '高新区',
                },
                {
                    code: 500222,
                    name: '万盛经开区',
                },
            ],
            viewLayer: null,
            layer: null,
            tableData: [],
            tableColumn: [
                {label: '区县', prop: 'unitName'},
                {label: '项目数\n(个)', prop: 'nationalProjectNum'},
            ],
            ljxqGrade: '',
            gxqGrade: '',
        }
    },
    beforeDestroy() {
        this.$bus.$off('changeDate')
    },
    mounted() {
        this.initData()
        this.$bus.$on('changeDate', () => {
            this.initData()
        })
        this.$nextTick(() => {
            this.initMapMain()
            this.initMapCQ()
        })
        this.$root.$on('resize', () => {
            this.resize(500)
        })
    },
    methods: {
        // 插入表头
        // addTableHeader() {
        //   let parentElement = this.$refs.container
        //   var childElement = parentElement.children[0];
        //   console.log(childElement);
        // },
        handleDetail(comp, unitName, type) {
            this.$router.push({
                path: '/DetailComponent',
                name: 'DetailComponent',
                query: {
                    unitName,
                    comp,
                    type,
                },
            })
        },
        initData() {
            this.loading = true
            let searchDate = sessionStorage.getItem('searchDate')
            searchDate = JSON.parse(searchDate)
            let data = this.qs.stringify({
                year: searchDate.year,
                quarter: searchDate.quarter,
            })
            this.levelDataA = []
            this.levelDataB = []
            this.levelDataC = []
            this.levelDataD = []
            this.levelDataE = []
            apiList.statementDetail(data, (res) => {
                if (res) {
                    this.$bus.$emit('exportExcel', res)
                    this.formatSortData(res)
                }
            })
        },
        formatSortData(data) {
            data.sort((a, b) => {
                return a.nationalProjectNum - b.nationalProjectNum
            })

            data.forEach((item) => {
                if (item.nationalProjectGrade == 'A') {
                    this.levelDataA.unshift(item)
                }
                if (item.nationalProjectGrade == 'B') {
                    this.levelDataB.unshift(item)
                }
                if (item.nationalProjectGrade == 'C') {
                    this.levelDataC.unshift(item)
                }
                if (item.nationalProjectGrade == 'D') {
                    this.levelDataD.unshift(item)
                }
                if (item.nationalProjectGrade == 'E') {
                    this.levelDataE.unshift(item)
                }
            })
            this.handleMapArea(data, 'composite')
            let ljxqGrade = data.filter(
                (item) => item.unitCode === '500191000000'
            )
            let gxqGrade = data.filter(
                (item) => item.unitCode === '500193000000'
            )
            this.ljxqGrade = ljxqGrade[0].nationalPassGrade
            this.gxqGrade = gxqGrade[0].nationalPassGrade
            // 根据区县排序
            let Aarr = this.levelDataA.sort((a, b) => a.orderNo - b.orderNo)
            let Barr = this.levelDataB.sort((a, b) => a.orderNo - b.orderNo)
            let Carr = this.levelDataC.sort((a, b) => a.orderNo - b.orderNo)
            let Darr = this.levelDataD.sort((a, b) => a.orderNo - b.orderNo)
            let Earr = this.levelDataE.sort((a, b) => a.orderNo - b.orderNo)
            // 根据项目个数排序
            let Aarr1 = Aarr.sort(
                (a, b) => b.nationalProjectNum - a.nationalProjectNum
            )
            let Barr1 = Barr.sort(
                (a, b) => b.nationalProjectNum - a.nationalProjectNum
            )
            let Carr1 = Carr.sort(
                (a, b) => b.nationalProjectNum - a.nationalProjectNum
            )
            let Darr1 = Darr.sort(
                (a, b) => b.nationalProjectNum - a.nationalProjectNum
            )
            let Earr1 = Earr.sort(
                (a, b) => b.nationalProjectNum - a.nationalProjectNum
            )
            this.tableData = [Aarr1, Barr1, Carr1, Darr1, Earr1]

            // this.tableData = [Aarr, Barr, Carr, Darr, Earr]
            // this.tableData = [this.levelDataA, this.levelDataB, this.levelDataC, this.levelDataD, this.levelDataE]
        },
        handleMapArea(markData, key) {
            this.optionCQ.series[0].data = this.convertData(
                cq.features,
                markData,
                key
            )
            this.optionMain.series[0].data = this.convertData(
                main9.features,
                markData,
                key,
                true
            )

            this.myChartCQ.setOption(this.optionCQ)
            this.myChartMain.setOption(this.optionMain)
            this.loading = false
        },
        convertData(data, mapData, key, showTitle) {
            let res = []
            for (let i = 0; i < data.length; i++) {
                let obj = data[i].properties
                let color = '#081c47'
                let find = mapData.find((item) => item.unitCode == obj.code)

                let regionSnKey = 'allSn'
                if (key == 'composite') {
                    regionSnKey = 'nationalProjectGrade'
                }
                if (key == 'workable') {
                    regionSnKey = 'workableAllSn'
                }
                if (key == 'brand') {
                    regionSnKey = 'brandAllSn'
                }
                if (key == 'satisfaction') {
                    regionSnKey = 'satisfiedAllSn'
                }
                if (find && key !== 'risk') {
                    // 绿色：#20A367 蓝色：#3877B2 黄色：#E3C428 橙色：#E49317 红色：#B04332
                    if (find[regionSnKey] == 'A') {
                        // color = '#398C8F'
                        color = '#20A367'
                    } else if (find[regionSnKey] == 'B') {
                        // color = '#1970C1'
                        color = '#3877B2'
                    } else if (find[regionSnKey] == 'C') {
                        // color = '#A3A355'
                        color = '#E3C428'
                    } else if (find[regionSnKey] == 'D') {
                        // color = '#B0825C'
                        color = '#E49317'
                    } else if (find[regionSnKey] == 'E') {
                        // color = '#9B4E55'
                        color = '#B04332'
                    }
                }
                let show = true
                let offset = [0, 0]
                if (
                    [
                        '渝中区',
                        '大渡口区',
                        '江北区',
                        '沙坪坝区',
                        '九龙坡区',
                        '南岸区',
                        '北碚区',
                        '渝北区',
                        '巴南区',
                        '两江新区',
                        '高新区',
                    ].includes(obj.name)
                ) {
                    show = false
                }
                if (['沙坪坝区'].includes(obj.name)) {
                    offset = [-10, 0]
                }
                if (['九龙坡区'].includes(obj.name)) {
                    offset = [-10, -10]
                }
                if (['大渡口区'].includes(obj.name)) {
                    offset = [0, 5]
                }
                if (['江北区'].includes(obj.name)) {
                    offset = [10, 0]
                }
                if (['南岸区'].includes(obj.name)) {
                    offset = [10, 6]
                }
                if (['綦江区'].includes(obj.name)) {
                    offset = [0, 20]
                }
                if (showTitle != undefined) {
                    show = showTitle
                }
                if (obj.name == '两江新区' || obj.name == '高新区') {
                    show = false
                }
                res.push({
                    name: obj.name,
                    value: find ? find['unitCode'] : 0,
                    itemStyle: {
                        color: color,
                        areaColor: color,
                        label: {
                            show,
                        },
                    },
                    label: {
                        normal: {
                            show,
                            offset, //是否对文字进行偏移。默认不偏移。例如：[30, 40] 表示文字在横向上偏移 30，纵向上偏移 40。
                            position: 'inside', //标签的位置。// 绝对的像素值[10, 10]
                            color: '#fff',
                            fontSize: 12,
                        },
                    },
                    emphasis: {
                        // disabled: true,
                        itemStyle: {
                            areaColor:
                                emphasisColor[find ? find[regionSnKey] : 'N'],
                        },
                        label: {
                            color: '#ffffff',
                        },
                    },
                })
            }
            return res
        },
        initMapCQ() {
            let dom = document.getElementById(this.CQId)
            let width = getComputedStyle(dom)
                .getPropertyValue('width')
                .replace('px', '')
            let height = getComputedStyle(dom)
                .getPropertyValue('height')
                .replace('px', '')
            width = parseInt(width, 10)
            height = parseInt(height, 10)
            this.myChartCQ = echarts.init(dom, null, {
                renderer: 'svg',
                width,
                height,
            })
            // 注册 echarts 地图

            echarts.registerMap('cq', cq)
            var markPointData = []
            let map = 'cq',
                top = '40%',
                left = '-15%',
                zoom = 1.2,
                aspectScale = 1,
                center = [106.5049, 29], // 地图中心位置， 此处的纬度与下面的center相差1度是形成阴影的距离，可自己随意调整
                layoutCenter = ['50%', '50%']
            this.optionCQ = {
                series: [
                    {
                        name: '重庆',
                        type: 'map', //配置显示方式为用户自定义
                        map,
                        zoom, // 地图比例
                        zlevel: 100,
                        center, // 地图中心位置， 此处的纬度与下面的center相差1度是形成阴影的距离，可自己随意调整
                        aspectScale,
                        // roam: true,
                        scaleLimit: {
                            min: 0.6,
                            max: 4,
                        },
                        itemStyle: {
                            normal: {
                                borderWidth: 1, //设置外层边框
                                borderColor: '#2ddcfd',
                            },
                        },
                        emphasis: {
                            itemStyle: {
                                areaColor: 'yellow',
                            },
                        },
                        top,
                        left,
                        data: this.convertData(
                            cq.features,
                            fakeData.btnkey1,
                            'risk'
                        ),
                    },
                ],
            }
            this.myChartCQ.setOption(this.optionCQ)
            if (this.isClick) {
                this.myChartCQ.on('click', (params) => {
                    let code = params.value
                    if (!code) {
                        code = this.getAreaCode(params.name, cq)
                    }
                    this.$router.push({
                        path: '/DistrictReformSubView',
                        query: {
                            name: params.name,
                            code: code,
                        },
                    })
                    let tooltip =
                        document.getElementsByClassName('data-tooltip')
                    Array.from(tooltip).forEach((item) => {
                        item.remove()
                    })
                })
            }
        },
        initMapMain() {
            this.myChartMain = echarts.init(
                document.getElementById(this.main9Id),
                null,
                {
                    renderer: 'svg',
                }
            )
            // 注册 echarts 地图
            echarts.registerMap('main9', main9)
            var markPointData = []
            let top = 28, //
                left = 20,
                zoom = 1.2,
                map = 'main9',
                aspectScale = 1,
                layoutCenter = ['50%', '50%'],
                center = [106.204962, 29.533155] // 地图中心位置， 此处的纬度与下面的center相差1度是形成阴影的距离，可自己随意调整
            this.optionMain = {
                geo: [
                    {
                        map,
                        zoom,
                        zlevel: 0,
                        aspectScale,
                        itemStyle: {
                            normal: {
                                borderWidth: 0,
                            },
                        },
                        emphasis: {
                            itemStyle: {
                                areaColor: 'yellow',
                            },
                        },
                        tooltip: {
                            show: false,
                        },
                        top,
                        left,
                        layoutCenter,
                    },
                ],
                series: [
                    {
                        name: '重庆主城',
                        type: 'map',
                        map,
                        zoom, // 地图比例
                        zlevel: 100,
                        // center, // 地图中心位置， 此处的纬度与下面的center相差1度是形成阴影的距离，可自己随意调整
                        aspectScale,
                        itemStyle: {
                            normal: {
                                borderWidth: 1, //设置外层边框
                                borderColor: 'white',
                            },
                        },
                        emphasis: {
                            // disabled: true,
                            itemStyle: {
                                areaColor: 'yellow',
                            },
                        },
                        top,
                        left,
                        data: this.convertData(
                            main9.features,
                            fakeData.btnkey1,
                            'risk',
                            true
                        ),
                    },
                ],
            }
            this.myChartMain.setOption(this.optionMain)
            if (this.isClick) {
                this.myChartMain.on('click', (params) => {
                    let code = params.value
                    if (!code) {
                        code = this.getAreaCode(params.name, main9)
                    }
                    this.$router.push({
                        path: '/DistrictReformSubView',
                        query: {
                            name: params.name,
                            code: code,
                        },
                    })
                    let tooltip = document.querySelectorAll('.data-tooltip')
                    Array.from(tooltip).forEach((item) => {
                        item.remove()
                    })
                })
            }
        },
        resize(delay) {
            // 动态计算表格的高度，自适应当前容器
            setTimeout(() => {
                let dom = document.getElementById(this.CQId)
                if (!dom) return
                let width = getComputedStyle(dom)
                    .getPropertyValue('width')
                    .replace('px', '')
                let height = getComputedStyle(dom)
                    .getPropertyValue('height')
                    .replace('px', '')
                width = parseInt(width, 10)
                height = parseInt(height, 10)
                this.myChartCQ.resize({
                    width: width,
                    height: height,
                })
                this.myChartMain.resize()
            }, delay || 0)
        },
        goToSub(type) {
            let data = {
                ljxq: {
                    name: '两江新区',
                    code: '500191000000',
                },
                gxq: {
                    name: '高新区',
                    code: '500193000000',
                },
            }
            this.$router.push({
                path: '/DistrictReformSubView',
                query: {
                    name: data[type].name,
                    code: data[type].code,
                },
            })
        },
        // initData() {
        //   this.loading = true
        //   let searchDate = sessionStorage.getItem('searchDate')
        //   searchDate = JSON.parse(searchDate)
        //   let data = this.qs.stringify({
        //     year: searchDate.year,
        //     quarter: searchDate.quarter
        //   })
        //   apiList.statementDetail(data, res => {
        //     if (res) {
        //       this.$bus.$emit('exportExcel', res)
        //       this.showData = []
        //       let fd = ['A', 'B', 'C', 'D', 'E']
        //       res.forEach(item => {
        //         let code = 0
        //         this.areaCode.forEach(codeItem => {
        //           if (codeItem.name === item.unitName) {
        //             code = codeItem.code
        //           }
        //         })
        //         this.showData.push({
        //           code: code,
        //           value: fd.indexOf(item.nationalProjectGrade)
        //         })
        //       })
        //       console.log(this.showData);
        //       if (this.viewLayer) {
        //         this.viewLayer.map.remove(this.layer)
        //         this.layer = null
        //         this.addLayer(this.showData)
        //       } else {
        //         this.initMap()
        //       }
        //     }
        //   })
        // },
        // initMap(){
        // 	// 初始化地图
        // 	loadModules([
        // 		'esri/Map',
        // 		'esri/views/MapView',
        // 		'esri/layers/FeatureLayer'
        // 	])
        // 		.then(async ([Map, MapView, FeatureLayer]) => {
        // 			const map = new Map({}); // 地图容器
        // 			const view = new MapView({ // 视图容器
        // 				container: 'map-container', // dom元素添加id为map-container的元素
        // 				map,
        // 				center: [107.74, 30.29], // 地图中心点
        // 				zoom:8,
        // 				scale:5200000,
        // 				zoomFactor: 0.01// 缩放更加平滑
        // 			});
        // 			view.ui.remove('zoom')
        // 			view.ui.remove('attribution')
        // 			this.viewLayer = view
        // 			await this.addLayer(this.showData)
        // 		})
        // },
        // async addLayer(data){

        // 	if(!this.layer){
        // 		// 创建五色图
        // 		let view = this.viewLayer
        // 		const fiveLayerInst = await initLayer({
        //       env:"ZWWW",
        //       token: 'SkJZSXI0S3RVS05SaXdvaGxWbGh5WFBLX2ZsVzB5cGE0WUhpWHdldXUtVQ==',
        //       //互联网
        // 			// token: 'WmtBS01BLTdZbzRBMHRTXzE4NFA0cktBcno4VFZiS1ZZUTk1TlVIZEI1VQ==',
        //       //政务网
        // 			// token:'bXVqMHY0c3ZwWHBSZmIzaXMteDVuN0wwNUNZdmpuU3F2MUdZTFZzNWtEVQ==',
        // 			areaData: data,
        // 			rangeData: [1,2,3,4,5],
        // 			initColor:['#0EE717','#1EBBFF','#E9ED18','#F9AB50','#DC3E30'],
        // 			// env:'zww',
        // 			view,
        // 			mapContainer: 'map-container',
        // 			fontStyle:{
        // 				color:'white',
        // 				font:8
        // 			}
        // 		});

        // 		// 地图点击获取属性值
        // 		view.on('click',(event)=>{
        // 			mapClickEvent(event,view).then(res=>{
        // 				this.$store.commit('screenViewStore/setDq', res.name)
        // 			})
        // 		})
        // 		view.map.add(fiveLayerInst);
        // 		this.viewLayer = view
        // 		this.layer = fiveLayerInst
        // 		let that = this;
        // 		setTimeout(()=>{
        // 			let mapBox = document.getElementById('map-container')
        // 			for(let i=0;i<mapBox.children.length;i++){
        // 				if([...mapBox.children[i].classList].indexOf('ljLabel') !== -1||[...mapBox.children[i].classList].indexOf('gxLabel') !== -1){
        // 					mapBox.children[i].style.textAlign = 'center'
        // 					mapBox.children[i].style.lineHeight = '24px'
        // 					mapBox.children[i].style.cursor = 'pointer'
        // 					if(data.length === 0){
        // 						mapBox.children[i].style.background = 'transparent'
        // 					}else{
        // 						data.forEach(item=>{
        // 							let initColor = ['#0EE717','#1EBBFF','#E9ED18','#F9AB50','#DC3E30']
        // 							if(parseInt(item.code) === 500200&&[...mapBox.children[i].classList].indexOf('ljLabel') !== -1){
        // 								mapBox.children[i].style.background = initColor[parseInt(item.value)-1]
        // 							}
        // 							if(parseInt(item.code) === 500300&&[...mapBox.children[i].classList].indexOf('gxLabel') !== -1){
        // 								mapBox.children[i].style.background = initColor[parseInt(item.value)-1]
        // 							}
        // 						})
        // 					}
        // 				}
        // 			}
        // 			// mapBox.addEventListener('click', function(event) {
        // 			// 	// 检查点击的目标元素是否为所需的子元素
        // 			// 	if (event.target.classList.contains('ljLabel')) {
        // 			// 		// 在这里处理点击事件的逻辑
        // 			// 		that.$store.commit('screenViewStore/setDq', '两江新区')
        // 			// 	}
        // 			// 	if (event.target.classList.contains('gxLabel')) {
        // 			// 		// 在这里处理点击事件的逻辑
        // 			// 		that.$store.commit('screenViewStore/setDq', '高新区')
        // 			// 	}
        // 			// });
        // 		},200)

        // 	}
        // }
    },
}
</script>

<style lang="scss" scoped>
@import './target.scss';

.map-tip {
    bottom: 0;
}

.map-target {
    padding: 30PX 35PX;
}

.level-container {
    display: flex;
    flex-direction: column;
    height: 100%;
    // height: 765px;
    flex-wrap: wrap;
    row-gap: 0;
    align-content: flex-end;

    >* {
        width: 30.33%;
        // flex: 1;
        font-family: '微软雅黑', sans-serif !important;
    }

    .level-title {
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
        font-size: 24PX;
        font-weight: bold;
        // height: calc(100% / 17);
        height: 32PX;
        line-height: 32PX;
        margin-top: 20PX;

        &:last-child {
            margin-bottom: 5px;
        }
    }

    .level-title-A {
        margin-top: 0;
        background-color: #398C8F;
    }

    .level-title-B {
        background-color: #1970c1;
    }

    .level-title-C {
        background-color: #A3A355;
    }

    .level-title-D {
        background-color: #B0825C;
    }

    .level-title-E {
        background-color: #9B4E55;
    }

    .level-header,
    .level-content-item {
        align-items: center;
        // line-height: 30px;
        margin: 0;
        height: calc(100% / 18);

        span {
            text-align: center;
            font-size: 18px;
            // display: inline-block;
            // padding: 12px 2px;
            flex: 1;
            text-align: center;
            // color:#b1e3ff;

            &:first-child {
                flex: 1.3;
            }

            &:last-child {
                flex: 1;
            }
        }

    }
}
</style>
